package de.hft.stuttgart.citydoctor2.gui.tree;


import de.hft.stuttgart.citydoctor2.datastructure.CityFurniture;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

import java.util.List;

public class AllCityFurnitureNode extends Renderable{

    private final List<CityFurniture> cityFurnitures;

    public AllCityFurnitureNode(List<CityFurniture> cityFurnitures) {
        this.cityFurnitures = cityFurnitures;
    }

    @Override
    public void refreshTextColor() {
        // no color changes
    }

    @Override
    public String getText() {
        return "CityFurniture";
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.clearCurrentRender();
        renderer.renderCityFurniture(cityFurnitures);
    }

}

