package de.hft.stuttgart.citydoctor2.connect.edge;

public abstract class CppHealing extends CppReferenceHandlingBase {
	// Checks will operate on this VPDFeature
	CppFeature feature;

	public CppHealing(CppFeature feature) {
		this.feature = feature;
	}

	public CppFeature getNestedFeature() {
		return feature;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#equals(java.lang.Object)
	 */

//*************************************************************************************
// vorerst auskommentiert, da CppChecks nicht mehr verwendet wird

// @Override
// public boolean equals(Object obj)
// {
//     if (obj instanceof CppChecks)
//     {
//         return (super.equals(obj) && (feature == ((CppChecks)obj).feature));
//     }
//     else
//     {
//         return super.equals(obj);
//     }
// }
//**************************************************************************************

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		int hash = super.hashCode();
		hash = hash * 19 + feature.hashCode() * 3;
		return hash;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuffer sf = new StringBuffer();
		sf.append(super.toString());
		sf.append("Feature:\n\t");
		sf.append(feature);
		return sf.toString();
	}
}